<?php

namespace App\Modules\Trade\Pay;

/**
 * 
 * @method static \App\Modules\Trade\Pay\WxOrderArousePay wx(int uid)
 * @method static \App\Modules\Trade\Pay\AliOrderArousePay ali(int uid)
 */
class OrderArousePayFactory
{
    public function __callStatic($name, $arguments)
    {
        $name =  ucfirst($name) . 'OrderArousePay';
        $namesapce = "\\App\\Modules\\Trade\\Pay";
        $application = $namesapce . "\\" . $name;
        return new $application(...$arguments);
    }
}
